;=======================================
;  CVASM16 INCLUDE FILE for the 10F220
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F220h      
                     ROMSIZE    256         
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
GPIO                 EQU        0006h       
ADCON0               EQU        0007h       
ADRES                EQU        0008h       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
GPWUF                EQU        STATUS.7    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL6                 EQU        OSCCAL.7    
CAL5                 EQU        OSCCAL.6    
CAL4                 EQU        OSCCAL.5    
CAL3                 EQU        OSCCAL.4    
CAL2                 EQU        OSCCAL.3    
CAL1                 EQU        OSCCAL.2    
CAL0                 EQU        OSCCAL.1    
FOSC4                EQU        OSCCAL.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ANS1                 EQU        ADCON0.7    
ANS0                 EQU        ADCON0.6    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  ADRES Register BIT Definitions 
;=======================================
ADRES7               EQU        ADRES.7     
ADRES6               EQU        ADRES.6     
ADRES5               EQU        ADRES.5     
ADRES4               EQU        ADRES.4     
ADRES3               EQU        ADRES.3     
ADRES2               EQU        ADRES.2     
ADRES1               EQU        ADRES.1     
ADRES0               EQU        ADRES.0     


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FEFh       
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_MCPU_ON             EQU        0FFDh       
_MCPU_OFF            EQU        0FFFh       
_IOFSCS_8MHZ         EQU        0FFFh       
_IOFSCS_4MHZ         EQU        0FFEh       
_IOSCFS_8MHZ         EQU        0FFFh       
_IOSCFS_4MHZ         EQU        0FFEh       
