;=======================================
;  CVASM16 INCLUDE FILE for the 16C781
;      Copyright (c) 2001 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 11-15-02
;=======================================

                     DEVCODE    00781h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _14bit
    
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
ADRES                EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
WPUB                 EQU        0095h       
IOCB                 EQU        0096h       
REFCON               EQU        009Bh       
LVDCON               EQU        009Ch       
ANSEL                EQU        009Dh       
ADCON1               EQU        009Fh       
PMDATL               EQU        010Ch       
PMADRL               EQU        010Dh       
PMDATH               EQU        010Eh       
PMADRH               EQU        010Fh       
CALCON               EQU        0110h       
PSMCCON0             EQU        0111h       
PSMCCON1             EQU        0112h       
CM1CON0              EQU        0119h       
CM2CON0              EQU        011Ah       
CM2CON1              EQU        011Bh       
OPACON               EQU        011Ch       
DAC                  EQU        011Eh       
DACON0               EQU        011Fh       
PMCON1               EQU        018Ch       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
LVDIF                EQU        PIR1.7      
ADIF                 EQU        PIR1.6      
C2IF                 EQU        PIR1.5      
C1IF                 EQU        PIR1.4      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
T1INSYNC             EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS2                 EQU        ADCON0.5    
CHS1                 EQU        ADCON0.4    
CHS0                 EQU        ADCON0.3    
GO                   EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.2    
GO_DONE              EQU        ADCON0.2    
CHS3                 EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION_REG Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
LVDIE                EQU        PIE1.7      
ADIE                 EQU        PIE1.6      
C2IE                 EQU        PIE1.5      
C1IE                 EQU        PIE1.4      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
WDTON                EQU        PCON.4      
OSCF                 EQU        PCON.3      
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  REFCON Register BIT Definitions 
;=======================================
VREFEN               EQU        REFCON.3    
VREFOE               EQU        REFCON.2    


;=======================================
;  LVDCON Register BIT Definitions 
;=======================================
BGST                 EQU        LVDCON.5    
LVDEN                EQU        LVDCON.4    
LV3                  EQU        LVDCON.3    
LV2                  EQU        LVDCON.2    
LV1                  EQU        LVDCON.1    
LV0                  EQU        LVDCON.0    


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
VCFG1                EQU        ADCON1.5    
VCFG0                EQU        ADCON1.4    


;=======================================
;  CALCON Register BIT Definitions 
;=======================================
CAL                  EQU        CALCON.7    
CALERR               EQU        CALCON.6    
CALREF               EQU        CALCON.5    


;=======================================
;  PSMCCON0 Register BIT Definitions 
;=======================================
SMCCL1               EQU        PSMCCON0.7  
SMCCL0               EQU        PSMCCON0.6  
MINDC1               EQU        PSMCCON0.5  
MINDC0               EQU        PSMCCON0.4  
MAXDC1               EQU        PSMCCON0.3  
MAXDC0               EQU        PSMCCON0.2  
DC1                  EQU        PSMCCON0.1  
DC0                  EQU        PSMCCON0.0  


;=======================================
;  PSMCCON1 Register BIT Definitions 
;=======================================
SMCON                EQU        PSMCCON1.7  
S1APOL               EQU        PSMCCON1.6  
S1BPOL               EQU        PSMCCON1.5  
SCEN                 EQU        PSMCCON1.3  
SMCOM                EQU        PSMCCON1.2  
PWM                  EQU        PSMCCON1.1  
PSM                  EQU        PSMCCON1.1  
NOT_PSM              EQU        PSMCCON1.1  
SMCCS                EQU        PSMCCON1.0  


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1ON                 EQU        CM1CON0.7   
C1OUT                EQU        CM1CON0.6   
C1OE                 EQU        CM1CON0.5   
C1POL                EQU        CM1CON0.4   
C1SP                 EQU        CM1CON0.3   
C1R                  EQU        CM1CON0.2   
C1CH1                EQU        CM1CON0.1   
C1CH0                EQU        CM1CON0.0   


;=======================================
;  CM2CON0 Register BIT Definitions 
;=======================================
C2ON                 EQU        CM2CON0.7   
C2OUT                EQU        CM2CON0.6   
C2OE                 EQU        CM2CON0.5   
C2POL                EQU        CM2CON0.4   
C2SP                 EQU        CM2CON0.3   
C2R                  EQU        CM2CON0.2   
C2CH1                EQU        CM2CON0.1   
C2CH0                EQU        CM2CON0.0   


;=======================================
;  CM2CON1 Register BIT Definitions 
;=======================================
MC1OUT               EQU        CM2CON1.7   
MC2OUT               EQU        CM2CON1.6   
C2SYNC               EQU        CM2CON1.0   


;=======================================
;  OPACON Register BIT Definitions 
;=======================================
OPAON                EQU        OPACON.7    
CMPEN                EQU        OPACON.6    
GBWP                 EQU        OPACON.0    


;=======================================
;  PMCON1 Register BIT Definitions 
;=======================================
RD                   EQU        PMCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_BODEN_ON            EQU        3FFFh       
_BODEN_OFF           EQU        3FBFh       
_CP_ALL              EQU        0CFFh       
_CP_OFF              EQU        3FFFh       
_VBOR_25             EQU        3FFFh       
_VBOR_27             EQU        3BFFh       
_VBOR_42             EQU        37FFh       
_VBOR_45             EQU        33FFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_MCLRE_OFF           EQU        3FDFh       
_MCLRE_ON            EQU        3FFFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_ER_OSC_CLKOUT       EQU        3FFFh       
_ER_OSC_NOCLKOUT     EQU        3FFEh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_EXTCLK_OSC          EQU        3FFBh       
_HS_OSC              EQU        3FFAh       
_XT_OSC              EQU        3FF9h       
_LP_OSC              EQU        3FF8h       
