;=======================================
;  CVASM16 INCLUDE FILE for the 16F716
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F716h      
                     ROMSIZE    2048        
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
DATACCP              EQU        0006h       
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
CCPR1L               EQU        0015h       
CCPR1H               EQU        0016h       
CCP1CON              EQU        0017h       
PWM1CON              EQU        0018h       
ECCPAS               EQU        0019h       
ADRES                EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
TRISCP               EQU        0086h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
PR2                  EQU        0092h       
ADCON1               EQU        009Fh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  PORTB Register BIT Definitions 
;=======================================
DCCP                 EQU        PORTB.3     
DT1CK                EQU        PORTB.1     


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      
CCP1IF               EQU        PIR1.2      
TMR2IF               EQU        PIR1.1      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
T1SYNC               EQU        T1CON.2     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
P1M1                 EQU        CCP1CON.7   
P1M0                 EQU        CCP1CON.6   
DC1B1                EQU        CCP1CON.5   
DC1B0                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  PWM1CON Register BIT Definitions 
;=======================================
PRSEN                EQU        PWM1CON.7   
PDC6                 EQU        PWM1CON.6   
PDC5                 EQU        PWM1CON.5   
PDC4                 EQU        PWM1CON.4   
PDC3                 EQU        PWM1CON.3   
PDC2                 EQU        PWM1CON.2   
PDC1                 EQU        PWM1CON.1   
PDC0                 EQU        PWM1CON.0   


;=======================================
;  ECCPAS Register BIT Definitions 
;=======================================
ECCPASE              EQU        ECCPAS.7    
ECCPAS1              EQU        ECCPAS.5    
ECCPAS0              EQU        ECCPAS.4    
PSSAC1               EQU        ECCPAS.3    
PSSAC0               EQU        ECCPAS.2    
PSSBD1               EQU        ECCPAS.1    
PSSBD0               EQU        ECCPAS.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS2                 EQU        ADCON0.5    
CHS1                 EQU        ADCON0.4    
CHS0                 EQU        ADCON0.3    
GO                   EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.2    
GO_DONE              EQU        ADCON0.2    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  TRISB Register BIT Definitions 
;=======================================
TCCP                 EQU        TRISB.3     
TT1CK                EQU        TRISB.1     


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      
CCP1IE               EQU        PIE1.2      
TMR2IE               EQU        PIE1.1      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOD              EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
PCFG2                EQU        ADCON1.2    
PCFG1                EQU        ADCON1.1    
PCFG0                EQU        ADCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_BODEN_ON            EQU        3FFFh       
_BODEN_OFF           EQU        3FBFh       
_BOREN_ON            EQU        3FFFh       
_BOREN_OFF           EQU        3FBFh       
_VBOR_25             EQU        3F7Fh       
_VBOR_40             EQU        3FFFh       
_CP_ON               EQU        1FFFh       
_CP_ALL              EQU        1FFFh       
_CP_OFF              EQU        3FFFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FF7h       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FFBh       
_LP_OSC              EQU        3FFCh       
_XT_OSC              EQU        3FFDh       
_HS_OSC              EQU        3FFEh       
_RC_OSC              EQU        3FFFh       
